Implement BGDLIX algorithm at GCOMObservation level

03/02/2021 04:48 PM - Knödlseder Jürgen

Status: Closed Start date: 03/02/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

The BGDLIX algorithm should be implemented at the level of the GCOMObservation class so that the algorithm can be embedded in

a maximum likelihood fitting procedure. A method

GCOMObservation::compute_drb(const std::string& method, const int& nrunav=3, const int& navgr=3, const int& nincl=13, const int&

 nexcl=0)

should be added that computes the background using various methods. As methods, PHINOR and BGDLIXA should be supported.

History

#1 - 03/03/2021 05:48 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 2.0.0

- % Done changed from 0 to 20

I started to implement the method with the following interface:

void GCOMObservation::compute_drb(const std::string& method,

                                  const GCOMDri&     drm,

                                  const int&         nrunav,

                                  const int&         navgr,

                                  const int&         nincl,

                                  const int&         nexcl)

So far the method PHINOR is implemented.

#2 - 03/03/2021 10:40 PM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 20 to 90

I now also implemented the BGDLIXA method, which is considerably faster than comobsback.py. I cross-checked that the same background model is

obtained as with comobsback.py.
#3 - 03/04/2021 07:34 AM - Knödlseder Jürgen

- % Done changed from 90 to 100

Merged into devel.

#4 - 03/04/2021 07:35 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed
